Bug 55258 - Drop "Close" icon from toolbar and add "New" to menu
Summary: Drop "Close" icon from toolbar and add "New" to menu
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.9
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2013-07-12 15:54 UTC by Sebb
Modified: 2017-02-23 12:16 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2013-07-12 15:54:13 UTC
As already mentioned on the developer mailing list, the "New" icon performs exactly the same function as the "Close" icon.

In other applications, "New" creates a new item or document, but JMeter only supports a single test tree, so the "New" icon is a bit misleading.

Given that "Close" has the same effect, there's little point in having the "New" icon taking up space on the toolbar.

Dropping the icon would not reduce functionality, but of course it would need to be clearly documented in the release notes.
Comment 1 Milamber 2013-07-13 21:30:05 UTC

I don't agree, the New button must remain on toolbar. For beginner user, it's a usual action (like Paint or Notepad applications on Windows with their New menu).
Comment 2 Graham Russell 2014-10-15 22:02:30 UTC
I agree we should keep the new icon but I think we should remove the Close icon. I think the new icon is probably more used/understandable/seemingly useful vs. the Close button and it seems pointless having an icon/screen real estate/code for the same functionality.
Comment 3 Vladimir Sitnikov 2016-07-09 07:12:22 UTC
+1 on removing "close" button and keep "new" one.
Comment 4 Philippe Mouawad 2017-01-22 14:59:39 UTC
Author: pmouawad
Date: Sun Jan 22 14:50:03 2017
New Revision: 1779819

URL: http://svn.apache.org/viewvc?rev=1779819&view=rev
Log:
Bug 55258 - Drop "Close" icon from toolbar and add "New" to menu
This closes #227
Bugzilla Id: 55258

Removed:
    jmeter/trunk/src/core/org/apache/jmeter/images/toolbar/22x22/document-close-4.png
    jmeter/trunk/src/core/org/apache/jmeter/images/toolbar/32x32/document-close-4.png
    jmeter/trunk/src/core/org/apache/jmeter/images/toolbar/48x48/document-close-4.png
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
    jmeter/trunk/src/core/org/apache/jmeter/images/toolbar/icons-toolbar.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_de.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_es.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_ja.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_pl.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_pt_BR.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_tr.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_zh_CN.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_zh_TW.properties
    jmeter/trunk/xdocs/changes.xml
Comment 5 Philippe Mouawad 2017-01-22 15:01:21 UTC
thanks for contribution.
Merged
Comment 6 Philippe Mouawad 2017-02-23 12:16:57 UTC
Author: pmouawad
Date: Thu Feb 23 12:15:33 2017
New Revision: 1784114

URL: http://svn.apache.org/viewvc?rev=1784114&view=rev
Log:
Bug 55258 Drop "Close" icon from toolbar and add "New" to menu.
Fix warning message at startup
Bugzilla Id: 55258

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/images/toolbar/icons-toolbar.properties